Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.theme
Class Theme

    java.lang.Object
      org.flexdock.plaf.theme.Theme

    public class Theme

extends Object

Author:
  Christopher Butler

Constructor Summary
`Theme()`

Method Summary
`ButtonUI` | `getButtonUI()`
`String` | `getDescription()`
`String` | `getName()`
`TitlebarUI` | `getTitlebarUI()`
`ViewUI` | `getViewUI()`
`void` | `setButtonUI(ButtonUI buttonUI)`
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`void` | `setTitlebarUI(TitlebarUI titlebarUI)`
`void` | `setViewUI(ViewUI viewUI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Theme

    public Theme()

Method Detail

### getButtonUI

    public ButtonUI getButtonUI()

### setButtonUI

    public void setButtonUI(ButtonUI buttonUI)

### getTitlebarUI

    public TitlebarUI getTitlebarUI()

### setTitlebarUI

    public void setTitlebarUI(TitlebarUI titlebarUI)

### getViewUI

    public ViewUI getViewUI()

### setViewUI

    public void setViewUI(ViewUI viewUI)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getName

    public String getName()

### setName

    public void setName(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD